exports.__esModule = true;

var _getOwnPropertySymbols = require("../core-js/object/get-own-property-symbols");

var _getOwnPropertySymbols2 = _interopRequireDefault(_getOwnPropertySymbols);

var _defineProperty = require("../core-js/object/define-property");

var _defineProperty2 = _interopRequireDefault(_defineProperty);

exports.default = function (obj, descs) {
  for (var key in descs) {
    var desc = descs[key];
    desc.configurable = desc.enumerable = true;
    if ("value" in desc) desc.writable = true;
    (0, _defineProperty2.default)(obj, key, desc);
  }

  if (_getOwnPropertySymbols2.default) {
    var objectSymbols = (0, _getOwnPropertySymbols2.default)(descs);

    for (var i = 0; i < objectSymbols.length; i++) {
      var sym = objectSymbols[i];
      var desc = descs[sym];
      desc.configurable = desc.enumerable = true;
      if ("value" in desc) desc.writable = true;
      (0, _defineProperty2.default)(obj, sym, desc);
    }
  }

  return obj;
};

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }